org.eclipse.emf.cdo.spi.server

## Class FactoriesQueryHandlerProvider

- java.lang.Object
- - org.eclipse.emf.cdo.spi.server.FactoriesQueryHandlerProvider

- All Implemented Interfaces:
    IQueryHandlerProvider

      public class FactoriesQueryHandlerProvider
      extends java.lang.Object
      implements IQueryHandlerProvider

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FactoriesQueryHandlerProvider()`
    `FactoriesQueryHandlerProvider(IFactory factory)`
    `FactoriesQueryHandlerProvider(IRegistry<java.lang.String,IFactory> registry)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFactory(IFactory factory)`
    `IQueryHandler` | `getQueryHandler(CDOQueryInfo info)`
    `IRegistry<java.lang.String,IFactory>` | `getRegistry()`
    `void` | `setRegistry(IRegistry<java.lang.String,IFactory> registry)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FactoriesQueryHandlerProvider

          public FactoriesQueryHandlerProvider()

    - #### FactoriesQueryHandlerProvider

          public FactoriesQueryHandlerProvider(IRegistry<java.lang.String,IFactory> registry)

    - #### FactoriesQueryHandlerProvider

          public FactoriesQueryHandlerProvider(IFactory factory)

  - ### Method Detail

    - #### getRegistry

          public IRegistry<java.lang.String,IFactory> getRegistry()

    - #### setRegistry

          public void setRegistry(IRegistry<java.lang.String,IFactory> registry)

    - #### addFactory

          public void addFactory(IFactory factory)

    - #### getQueryHandler

          public IQueryHandler getQueryHandler(CDOQueryInfo info)

      Specified by:
        `getQueryHandler` in interface `IQueryHandlerProvider`
      Since:
        3.0

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html